%define name FaxMail
%define version 2.3
%define release 5mdk

Summary: A program to send faxes for free via email and the TPC system
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Mail
Source: http://wol.ra.phy.cam.ac.uk/FaxMail/%{name}-%version.tar.bz2
Patch0: FaxMail-2.3-misc.patch.bz2
Patch1: FaxMail-2.3-misc-nolibresolv.patch.bz2
URL: http://wol.ra.phy.cam.ac.uk/FaxMail/
Requires: tk >= 4.0, tcl >= 7.5
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: FaxMail

%description
This package contains FaxMail, a utility to assist in preparing and
sending faxes via the internet's Email-Fax gateway.  It does this
via the TPC.INT service.  See http://www.tpc.int/ for details.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
# Must link against libresolv if present (eg. pre-glibc systems)
#if { ls /lib/libresolv* > /dev/null };
#then
%patch -P 0 -p1 
#else
#%patch -P 1 -p1 
#fi     
     
%build
make 

%install
make ROOT="$RPM_BUILD_ROOT" INSTALLMANPATH=%{_mandir} INSTALLINFOPATH=%{_infodir} install

%files
%defattr(-,root,root)
%{_libdir}/FaxMail/FaxMail.tcl
%{_libdir}/FaxMail/cover.lst
%{_bindir}/FaxMail
%{_bindir}/tryfax
%{_mandir}/man1/*
%{_infodir}/*
%doc COPYING FaxMail.html HISTORY README

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%changelog
* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-5mdk
- carroect packager flag

* Thu Aug 24 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-4mdk
- Install info

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-3mdk
- BM, Macros

* Wed Apr 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.3-2mdk
- updated groups to correct group names.

* Thu Feb 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- removed if statement in .spec file. Mandrake always has libresolv
 
* Mon Nov 23 1998 Matt Davey <mcdavey@mrao.cam.ac.uk>
- Upgraded to FaxMail-2.3
- Changed SRPM according to RHCN Package Requirements      
